/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */

package com.queplix.core.modules.jeo.gen;

import com.queplix.core.modules.jeo.JEObject;

/**
 * User JEO interface.
 *
 * @author [LIV] Ladnev Ilya
 * @author [MVT] Michael Trofimov
 * @version $Revision: 1.2 $ $Date: 2005/12/27 10:05:30 $
 */
public interface UserObject extends JEObject {

    Long getPkey();

    String getLoginname();

    String getPassword();

    String getFullname();

    String getEmail();

    Integer getUser_type();

    void setPkey(Long l);

    void setLoginname(String loginname);

    void setPassword(String password);

    void setFullname(String fullname);

    void setEmail(String email);

    void setUser_type(Integer usertype);
}